Bug 46819 - buildinstall failed when building installation
buildinstall failed when building installation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-01 09:01 EDT by LENHOF
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-03 17:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LENHOF 2001-07-01 09:01:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.1+) Gecko/20010624

Description of problem:
Try to copy CD 1 and CD 2 of seawolf...Updates packages and make 2 iso of
the installation...

How reproducible:
Always

Steps to Reproduce:
1.Make a full install of Seawolf
2.Copy CD 1 & CD 2 of Seawolf in /local/cd1 and /local/cd2
2.cd /usr/lib/anaconda-runtime
3../genhdlist --with-numbers --hdlist /local/cd1/RedHat/base/hdlist
/local/cd1 /local/cd2
4. ./buildinstall /local/cd1
	

Actual Results:  ./buildinstall /local/cd1
Building images...
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  !=: unary operator
expected
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
Assembling package list....
Expanding package...
retrieving timezones
/local/cd1/buildinstall.tree.25094/upd-instroot:  [:  =: unary operator
expected
cat: local/cd1/RedHat/instimage/usr/lib/anaconda/lang-table*: No such file
or directory
Running mkfontdir...
/usr/X11R6/bin/mkfontdir: failed to create directory in
/local/cd1/RedHat/instimage/usr/share/fonts/ISO8859-2/*
....



Expected Results:  Creation of the new "installation"

Additional info:

In order to make it work I would have to move the following RPMS :
anaconda, anaconda-runtime, kernel-BOOT from /local/cd2/RedHat/RPMS to
/local/cd1/RedHat/RPMS

Still a little problem with ISO8859-2
Comment 1 Matt Wilson 2001-07-03 17:16:51 EDT
please change:
$UPD_INSTROOT $p/RedHat/RPMS $p/image-template $p/RedHat/instimage

to:
sh -x $UPD_INSTROOT $p/RedHat/RPMS $p/image-template $p/RedHat/instimage

in buildinstall

and attach the output

Comment 2 Brent Fox 2001-07-25 12:04:29 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.